## visad
Class RemoteThingImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  visad.RemoteThingImpl

All Implemented Interfaces:
  Remote, RemoteThing, Serializable, Thing

Direct Known Subclasses:
  RemoteDataImpl

public class RemoteThingImpl
extends UnicastRemoteObject
implements RemoteThing

RemoteThingImpl is the VisAD remote adapter for ThingImpl.

See Also:
  Serialized Form

Field Summary
`(package private) ThingImpl` `AdaptedThing` 'this' is the Remote adaptor for AdaptedThing (which is local); AdaptedThing is transient because UnicastRemoteObject is Serializable, but a copy of 'this' on another JVM will not be local to AdaptedThing and cannot adapt it; the methods of RemoteThingImpl text for null AdaptedThing

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`RemoteThingImpl(ThingImpl thing)`

Method Summary
`void` `addReference(ThingReference r)` add a ThingReference to this RemoteThingImpl; must be RemoteThingReference; called by ThingReference.setThing
`long` `getTick()` RemoteThingReference-s can (but don't currently) poll getTick()
`long` `incTick()` Tick is incremented in a RemoteThing object, rather than propogating Thing changes to RemoteThingReference-s
`void` `removeReference(ThingReference r)` remove a ThingReference to this RemoteThingImpl; must be RemoteThingReferenceImpl; called by ThingReference.setThing

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AdaptedThing

    final transient ThingImpl AdaptedThing

  'this' is the Remote adaptor for AdaptedThing (which is local); AdaptedThing is transient because UnicastRemoteObject is Serializable, but a copy of 'this' on another JVM will not be local to AdaptedThing and cannot adapt it; the methods of RemoteThingImpl text for null AdaptedThing

Constructor Detail

### RemoteThingImpl

    public RemoteThingImpl(ThingImpl thing)
                    throws RemoteException

Method Detail

### incTick

    public long incTick()

  Tick is incremented in a RemoteThing object, rather than propogating Thing changes to RemoteThingReference-s

  Specified by:
    `incTick` in interface `RemoteThing`

### getTick

    public long getTick()

  RemoteThingReference-s can (but don't currently) poll getTick()

  Specified by:
    `getTick` in interface `RemoteThing`

### addReference

    public void addReference(ThingReference r)
                      throws VisADException

  add a ThingReference to this RemoteThingImpl; must be RemoteThingReference; called by ThingReference.setThing

  Specified by:
    `addReference` in interface `Thing`
  Throws:
    `VisADException`

### removeReference

    public void removeReference(ThingReference r)
                         throws VisADException

  remove a ThingReference to this RemoteThingImpl; must be RemoteThingReferenceImpl; called by ThingReference.setThing

  Specified by:
    `removeReference` in interface `Thing`
  Throws:
    `VisADException`